OpenSSL Vulnerability Patched

The security of our customers and their data is our highest priority. The OpenSSL Project has announced the discovery of several vulnerabilities that puts this security at risk. We have updated all of our servers with the latest version of OpenSSL to protect against these vulnerabilities. We have no reason to believe that any customer data has been compromised.

Leave a Reply